Package org.eclipse.emf.cdo.lm

# Class StreamSpec

java.lang.Object
org.eclipse.emf.cdo.lm.StreamSpec

public class StreamSpec extends Object

Author:
  Eike Stepper
No Extend
  This class is not intended to be subclassed by clients.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected String`
`codeName`
`protected int`
`majorVersion`
`protected int`
`minorVersion`

## Constructor Summary

Constructors
Constructor
Description
`StreamSpec(int majorVersion, int minorVersion)`
`StreamSpec(int majorVersion, int minorVersion, String codeName)`

## Method Summary

Modifier and Type
Method
Description
`Stream`
`createStream()`
`String`
`getCodeName()`
`int`
`getMajorVersion()`
`int`
`getMinorVersion()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### majorVersion

protected int majorVersion

### minorVersion

protected int minorVersion

### codeName

protected String codeName

## Constructor Details

### StreamSpec

public StreamSpec(int majorVersion, int minorVersion, String codeName)

### StreamSpec

public StreamSpec(int majorVersion, int minorVersion)

## Method Details

### getMajorVersion

public int getMajorVersion()

### getMinorVersion

public int getMinorVersion()

### getCodeName

public String getCodeName()

### createStream

public Stream createStream()

### toString

public String toString()

Overrides:
  `toString` in class `Object`